
/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
html.menu-scroll-locked, body.menu-scroll-locked {
	overflow: hidden;
}

body.menu-scroll-locked {
	position: fixed;
	width: 100%;
	left: 0;
	right: 0;
}

/* So the mobile menu itself can still scroll */
#mobile-menu-open .elementor-nav-menu--dropdown.elementor-nav-menu__container {
	max-height: calc(100vh - 140px);
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;
}

#cliik-back-to-top {
	background-color: #333;
	color: #fed03d;
	padding: 10px 15px;
	border-radius: 5px;
	z-index: 9999;
	font-family: sans-serif;
}

#cliik-back-to-top {
	display: inline-flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	transition: all .3s ease;
	text-decoration: none;
}

/* Initial State (White) */
#cliik-back-to-top svg {
	width: 24px;
	/* Adjust size as needed */
	height: auto;
	fill: #fff;
	transition: fill .3s ease;
}

/* Hover State (#fed03d) */
#cliik-back-to-top:hover svg {
	fill: #fed03d;
}

/* Disable Elementor Gallery Zoom/Scale on Mobile Devices */
@media (max-width: 767px) {
	.elementor-gallery-item__image {
		transform: none !important;
		transition: none !important;
	}
	
	/* Prevents the 'hover' state from sticking on touch */
	.elementor-gallery-item:hover .elementor-gallery-item__image {
		transform: none !important;
	}
}

/* Mobile: make temporary e-gallery--animated harmless */
@media (max-width: 767px) and (hover:none) and (pointer:coarse) {
	.elementor-gallery__container.e-gallery-container.e-gallery-grid.e-gallery--animated, .elementor-gallery__container.e-gallery-container.e-gallery-grid.e-gallery--animated * {
		animation: none !important;
		transition: none !important;
	}
	
	/* If Elementor uses transforms for its "animated" reveal, neutralize them */
	.elementor-gallery__container.e-gallery-container.e-gallery-grid.e-gallery--animated .e-gallery-item, .elementor-gallery__container.e-gallery-container.e-gallery-grid.e-gallery--animated .elementor-gallery-item, .elementor-gallery__container.e-gallery-container.e-gallery-grid.e-gallery--animated img {
		transform: none !important;
		will-change: auto !important;
	}
	
	.elementor-gallery__container {
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		/* mobile */
		gap: 3px;
	}
}

/*Down arrow css animation*/
.chevron-container {
	position: relative;
	width: 24px;
	height: 24px;
}

.chevron {
	position: absolute;
	width: 28px;
	height: 2px;
	opacity: 0;
	transform: scale3d(.5, .5, .5);
	animation: move 3s ease-out infinite;
}

.chevron:first-child {
	animation: move 3s ease-out 1s infinite;
}

.chevron:nth-child(2) {
	animation: move 3s ease-out 2s infinite;
}

.chevron:before, .chevron:after {
	content: " ";
	position: absolute;
	top: 0;
	height: 100%;
	width: 51%;
	background: #fff;
}

.chevron:before {
	left: 0;
	transform: skew(0deg, 30deg);
}

.chevron:after {
	right: 0;
	width: 50%;
	transform: skew(0deg, -30deg);
}

@keyframes move {
	25% {
		opacity: 1;
	}
	
	33% {
		opacity: 1;
		transform: translateY(30px);
	}
	
	67% {
		opacity: 1;
		transform: translateY(40px);
	}
	
	100% {
		opacity: 0;
		transform: translateY(55px) scale3d(.5, .5, .5);
	}
}

.cliik-faq .e-n-accordion-item-title-icon {
	width: 27px;
	flex: 0 0 27px;
	max-width: 27px;
	height: 25px;
	background: #000;
	color: #fff;
	display: flex;
	align-items: center;
	justify-content: center;
	margin-top: 1px;
}

.cliik-faq .e-n-accordion-item-title-header {
	margin-top: 2px;
}

.cliik-faq .e-n-accordion-item-title-icon svg {
	width: 8px;
}

.cliik-faq .e-n-accordion-item:hover svg {
	fill: #fff !important;
}

.cliik-faq .e-n-accordion-item .e-n-accordion-item-title-icon span > svg {
	fill: #fff;
}

.cliik-faq .e-n-accordion-item-title {
	align-items: flex-start;
}

.cliik-faq .e-n-accordion-item[open] .e-n-accordion-item-title-icon {
	background: #fed03d !important;
}

.cliik-faq .e-n-accordion-item[open] .e-n-accordion-item-title span > svg {
	fill: #fff !important;
}

.elementor-swiper-button {
	border: 1px solid #ddd;
	width: 30px;
	height: 30px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.gallery-block-nav ul {
	gap: 10px;
}

.gallery-block-nav ul li a {
	border: 1px solid #ddd;
}

.gallery-block-nav ul li a.elementor-item-active {
	background: var(--e-global-color-accent);
}

.elementor-lightbox .swiper .elementor-swiper-button-next, .elementor-lightbox .swiper .elementor-swiper-button-prev {
	border: 1px solid #ddd;
	width: 30px;
	height: 30px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.sidebar-category-list .e-filter-item {
	width: 100%;
	text-align: left !important;
	justify-content: flex-start;
}

/* Scope to the specific Elementor widget container */
.single .elementor-widget-theme-post-content h1 {
	font-size: clamp(36px, 5vw + 1rem, 80px);
	/* Min 36px, Max 80px */
	line-height: 1.1;
}

.single .elementor-widget-theme-post-content h2 {
	font-size: clamp(28px, 4vw + 1rem, 60px);
	/* Min 28px, Max 60px */
	line-height: 1.2;
}

.single .elementor-widget-theme-post-content h3 {
	font-size: clamp(24px, 3vw + 1rem, 45px);
	/* Min 24px, Max 45px */
	line-height: 1.3;
}

.single .elementor-widget-theme-post-content h4 {
	font-size: clamp(20px, 2vw + 1rem, 32px);
	/* Min 20px, Max 32px */
	line-height: 1.4;
}

.single .elementor-widget-theme-post-content h5 {
	font-size: clamp(18px, 1.5vw + .5rem, 24px);
	/* Min 18px, Max 24px */
	line-height: 1.5;
}

.single .elementor-widget-theme-post-content h6 {
	font-size: clamp(16px, 1vw + .5rem, 18px);
	/* Min 16px, Max 18px */
	line-height: 1.5;
}

.elementor-widget-search .e-search-input.no-icon-label {
	height: 45px;
}

.elementor-widget-search .e-search .e-search-submit {
	height: 55px;
	padding: 5px;
	width: 55px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.elementor-widget-search .e-search .e-search-submit svg {
	margin-left: 0;
	width: 18px !important;
}

.wppro_badge1_IMG_3 {
	height: 70px !important;
	width: auto;
	max-width: 100% !important;
}

#wprev-badge-4 {
	background: transparent !important;
	border: 0px transparent !important;
}

#cliik-megamenu {
	padding-top: 0px;
	padding-bottom: 0px;
	background-color: #fff;
	transition: all 0s ease-in-out;
}

#cliik-megamenu::after {
	content: "";
	position: absolute;
	bottom: -3px;
	top: auto;
	left: 0;
	width: 100%;
	height: 3px;
	background-color: rgba(254, 208, 61, 1);
	/*     background: radial-gradient(ellipse at center, rgba(254, 208, 61, 1) 0%, rgba(254, 0, 0, 0) 100%); */
	pointer-events: none;
}

.rollover-items-container .megamenu-item-url {
	height: 100%;
	z-index: 2 !important;
	width: 100%;
}

.rollover-items-container .megamenu-item-url .elementor-button-wrapper {
	height: 100% !important;
}

.rollover-items-container .megamenu-item-url a.elementor-button.elementor-button-link {
	display: block;
	height: 100% !important;
	background-color: rgba(254, 208, 61, 0) !important;
	font-size: 0px !important;
	color: transparent !important;
}

#mobile-menu-open ul.elementor-nav-menu--dropdown a, #mobile-menu-open ul.elementor-nav-menu--dropdown a:focus, #mobile-menu-open ul.elementor-nav-menu--dropdown a:hover {
	border-inline-start: 18px solid transparent;
	text-shadow: none;
}

ul.elementor-nav-menu--dropdown.sub-menu {
	background-color: #f5f5f5;
}

/* FooBox */
.fbx-desktop button.fbx-next, .fbx-desktop button.fbx-prev {
	position: fixed !important;
	left: 0;
	border-radius: 0;
}

.fbx-desktop button.fbx-next {
	left: auto;
	right: 0;
	border-radius: 6px 0px 0px 6px;
}

.fbx-desktop button.fbx-prev {
	border-radius: 0 6px 6px 0;
}

/* END FooBox */
@media (min-width: 1201px) {
	/* Mega Menu styles */
	#cliik-megamenu {
		overflow-x: clip;
	}
	
	.megamenu .e-n-tabs-heading button {
		justify-content: space-between;
		min-height: 65px;
	}
	
	.megamenu .e-n-tabs-heading .e-n-tab-title-text {
		flex-direction: column;
		align-items: flex-start;
		gap: 5px;
		justify-content: center;
	}
	
	.megamenu .e-n-tabs-heading .e-n-tab-title-text span {
		display: block;
		float: left;
		font-size: 14px;
		font-weight: 400;
		text-transform: capitalize;
	}
	
	#megamenu-wraper.elementor-widget-n-menu .e-n-menu-content {
		align-items: center;
	}
	
	#megamenu-wraper .megaItem-services {}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item > .e-n-menu-title {
		position: relative;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item > .e-n-menu-title:after {
		content: "";
		position: absolute;
		z-index: 0;
		border: none;
		top: 0%;
		right: 0%;
		height: 100%;
		width: 1px;
		background-color: #d9d6d1;
		-webkit-transform: skew(-13deg, 0deg);
		-ms-transform: skew(-13deg, 0deg);
		transform: skew(-13deg, 0deg);
	}
	
	#megamenu-wraper
    .e-n-menu
    li.e-n-menu-item:last-child
    > .e-n-menu-title:after {
		display: none;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item > .e-n-menu-title:before {
		content: "";
		opacity: 0;
		position: absolute;
		left: 0%;
		top: 0%;
		right: 0%;
		bottom: 0%;
		z-index: -1;
		width: 100%;
		height: 100%;
		background-color: #fed03d;
		-webkit-transform: skew(-13deg, 0deg);
		-ms-transform: skew(-13deg, 0deg);
		transform: skew(-13deg, 0deg);
		transition: all ease-in-out .3s;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item:first-child > .e-n-menu-title .e-n-menu-title-container:before {
		content: "";
		position: absolute;
		z-index: 0;
		border: none;
		top: 0%;
		left: 0%;
		height: 100%;
		width: 1px;
		background-color: #d9d6d1;
		-webkit-transform: skew(-13deg, 0deg);
		-ms-transform: skew(-13deg, 0deg);
		transform: skew(-13deg, 0deg);
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title.e-current:before, #megamenu-wraper .e-n-menu li.e-n-menu-item:hover .e-n-menu-title:before {
		opacity: 1;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title a.e-link {
		position: relative;
		z-index: 1;
		padding: 2.16rem 2.4rem;
		/*     min-width: 160px; */
		justify-content: center;
	}
	
	#megamenu-wraper
    .e-n-menu
    li.e-n-menu-item
    .e-n-menu-title#get-free-quote-btn
    a.e-link {}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item #get-free-quote-btn:before {
		opacity: 1;
		width: 150%;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item:hover #get-free-quote-btn:before {
		background-color: #fff;
	}
	
	#megamenu-wraper
    .e-n-menu
    li.e-n-menu-item
    #get-free-quote-btn
    span.e-n-menu-title-text {
		/* 	color: #fff; */
		font-size: 14px;
	}
	
	.megamenu-item-url {
		height: 100%;
		z-index: 2 !important;
		width: 100%;
	}
	
	.megamenu-item-url .elementor-button-wrapper {
		height: 100% !important;
	}
	
	.megamenu-item-url a.elementor-button.elementor-button-link {
		display: block;
		height: 100% !important;
		background-color: rgba(254, 208, 61, 0) !important;
		font-size: 0px !important;
		color: transparent !important;
	}
	
	.megamenu {
		min-width: 100%;
	}
	
	#megamenu-wraper
    .megaItem-services
    .elementor-widget-n-tabs
    .e-n-tabs-content {
		width: 1415px;
	}
}

/* End Megamenu for Desktop */
@media (max-width: 2150px) {
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title a.e-link {}
}

@media (max-width: 1800px) {
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title a.e-link {}
	
	#megamenu-wraper
    .e-n-menu
    li.e-n-menu-item
    .e-n-menu-title#get-free-quote-btn
    a.e-link {
		padding-left: 55px;
		padding-right: 55px;
	}
}

@media (max-width: 1200px) {
	#megamenu-wraper.elementor-widget-n-menu .e-n-menu-heading {
		display: block;
		box-shadow: 0 0 10px 0 rgba(0, 0, 0, .21);
		margin: 0 3px;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item {
		border-bottom: 1px solid #ddd;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item:last-child {
		border: none !important;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title a.e-link {
		padding: 15px 20px;
		width: 100%;
		position: relative;
		z-index: 1;
		transition: .4s;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title a.e-link:hover {
		background: #ddd;
	}
	
	/* Hide default Elementor icon */
	#megamenu-wraper .e-n-menu-title .e-n-menu-dropdown-icon svg {
		display: none;
	}
	
	/* Create custom chevron */
	#megamenu-wraper .e-n-menu-title .e-n-menu-dropdown-icon {
		position: absolute;
		z-index: 999;
		right: 10px;
		top: 50%;
		transform: translateY(-50%);
		width: 14px;
		height: 14px;
		display: inline-block;
	}
	
	#megamenu-wraper .e-n-menu-title .e-n-menu-dropdown-icon::after {
		content: "";
		position: absolute;
		top: 50%;
		left: 50%;
		width: 6px;
		height: 6px;
		border-right: 2px solid #000;
		border-bottom: 2px solid #000;
		transform: translate(-50%, -50%) rotate(45deg);
		transition: transform .3s ease;
	}
	
	/* Rotate when active */
	#megamenu-wraper
    .e-n-menu-item.elementor-active
    .e-n-menu-dropdown-icon::after {
		transform: translate(-50%, -50%) rotate(-135deg);
	}
	
	#get-free-quote-btn {
		background: #fed03d;
		text-align: center;
		width: 100%;
	}
	
	#get-free-quote-btn a {
		justify-content: center;
	}
	
	#megamenu-wraper .e-n-menu-item {
		position: relative;
	}
	
	#megamenu-wraper > .sub-menu {
		left: 16% !important;
	}
	
	#megamenu-wraper .sub-menu {
		box-shadow: rgba(0, 0, 0, .16) 0px 1px 4px;
	}
	
	#megamenu-wraper .e-n-menu-content > .e-con:not(.e-active) {
		position: absolute;
		left: 16%;
		z-index: 99999999999;
	}
	
	#megamenu-wraper .e-n-menu-content.e-active {
		position: absolute;
		left: 80px;
		top: 35px;
		height: auto;
		overflow: inherit;
		width: fit-content;
		min-width: 200px;
	}
	
	.elementor.elementor
    .elementor-widget-n-menu.e-n-menu-tablet_extra
    .e-n-menu-toggle:hover {
		background: transparent;
	}
}

@media (max-width: 480px) {
	#megamenu-wraper .sub-menu {
		left: 5% !important;
		top: 5% !important;
		margin-left: 0 !important;
	}
	
	#megamenu-wraper .sub-menu li {
		padding: 0;
	}
	
	#megamenu-wraper .sub-menu li a {
		font-size: 12px;
	}
	
	#megamenu-wraper .e-n-menu li.e-n-menu-item .e-n-menu-title a.e-link {
		padding: 15px 10px;
	}
}

@media (min-width: 3000px) {
	#megamenu-wraper .megaItem-services {
		left: calc(50vw - 30%) !important;
	}
}
